### Function

# GdkPixbuf.Pixbuf.get_file_info

#### Declaration [src]

    GdkPixbufFormat*
    gdk_pixbuf_get_file_info (
      const gchar* filename,
      gint* width,
      gint* height
    )

#### Description [src]

Parses an image file far enough to determine its format and size.

#### Parameters

`filename` | `const gchar*`
| The name of the file to identify.
| Ownership is not transferred to the callee
| The string is a file system path, using the OS encoding
`width` | `gint*`
| Return location for the width of the image
| Direction: out
| Ownership of the data is transferred to the callee
`height` | `gint*`
| Return location for the height of the image
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GdkPixbufFormat`
A `GdkPixbufFormat` describing the image format of the file
Ownership is not transferred to the caller
Can be `NULL`